%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-geode
Version: 2.11.1
Release: alt2
Serial: 2
Summary: AMD Geode GX and LX Xorg graphics Driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-amd = %serial:%version xorg-x11-drv-nsc = %serial:%version
Provides: xorg-x11-drv-geode = %serial:%version-%release
Obsoletes: xorg-x11-drv-amd xorg-x11-drv-nsc <= 2.8.3 xorg-x11-drv-geode

Source: %name-%version.tar
Patch: %name-%version-%release.patch

ExclusiveArch: %ix86
BuildRequires(Pre): xorg-sdk xorg-util-macros
BuildRequires: xorg-fontsproto-devel xorg-randrproto-devel xorg-renderproto-devel xorg-videoproto-devel
BuildRequires: xorg-xextproto-devel xorg-xf86dgaproto-devel xorg-xproto-devel

%description
geode  is  an  Xorg driver for Advanced Micro Devicess GEODE processor
family.  It uses the CIMARRON kit provided by Advanced  Micro  Devices.
The  driver  is  accelerated,  and  provides  support for the following
framebuffer depths: 8, 16 and 24.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--enable-visibility \
	--with-xorg-module-dir=%_x11modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-geode.xinf %buildroot%_hwdatadir/geode.xinf
install -pD -m644 11-x11-video-geode.fdi %buildroot%_fdidir/10-x11-video-geode.fdi

%triggerin -- xorg-x11-drv-amd, xorg-x11-drv-nsc
subst 's,Driver\(.*\)\"\(amd\|nsc\)\",Driver\1"geode",' %_sysconfdir/X11/xorg.conf

%files
%_x11modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/geode.xinf
%_fdidir/10-x11-video-geode.fdi

%changelog
* Thu Feb 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 2:2.11.1-alt2
- requires XORG_ABI_VIDEODRV = 5.0

* Tue Feb 17 2009 Valery Inozemtsev <shrek@altlinux.ru> 2:2.11.1-alt1
- 2.11.1

* Wed Jan 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 2:2.11.0-alt1
- 2.11.0

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.10.1-alt2
- requires XORG_ABI_VIDEODRV = 4.1

* Fri Aug 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.10.1-alt1
- 2.10.1

* Sat Jun 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.10.0-alt1
- 2.10.0

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.9.0-alt2
- renamed xorg-x11-drv-geode to xorg-drv-geode
- added requires XORG_ABI_VIDEODRV = 2.0

* Thu May 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.9.0-alt1
- 2.9.0

* Tue Apr 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:2.8.0-alt2
- obsoletes xorg-x11-drv-nsc

* Thu Apr 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.8.0-alt1
- 2.8.0
- convert xinf file to fdi

* Fri Mar 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.7-alt1
- 2.7.7.7

* Mon Jan 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.5-alt1
- 2.7.7.5

* Sat Jan 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.4-alt1
- 2.7.7.4

* Mon Oct 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.3-alt1
- 2.7.7.3

* Tue Oct 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.2-alt2
- added amd.xinf

* Mon Oct 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.7.2-alt1
- 2.7.7.2

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.6.5-alt3
- rebuild with xorg-server-1.4

* Mon Jul 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.7.6.5-alt2
- GIT snapshot 2007-07-13 (bb0f0afc6c5cf849081a007af0c2d3485e87e9c4)

* Thu Aug 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.7.6.5-alt1.git20060807
- GIT snapshot 2006-08-07

* Fri Aug 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.7.6.5-alt1
- initial release

